<link rel="stylesheet" href="{$asseturl}css/kbafinder.css">
<style media="screen">
  .kbafinderSelectionHint {
    background: #eee;
    border: 2px solid {$kbaTreeColor};
  }

  .kbafinder .selectorHeader {
    background: {$kbaTreeColor};
    color: {$kbatitleColor};
    cursor: {$kbaselectorHeaderCursor};
  }

  .kbafinder .selectorFields {
    background: {$kbabgColor};
    display: {$kbaselectorFieldsDisplay};
  }

  .kbafinder .fieldArrow {
    background-color: {$kbabgColor};

    border-top: 10px solid {$kbaTreeColor};
  }

  .kbafinder .fields {
    background: {$kbabgColor};
  }

  .kbafinder .fields .nummer {
    background: {$kbaTreeColor};
  }

  @media (min-width: 993px) {
    .kbafinder .fields:not(:first-child)::after {
      color: {$kbatextColor};
    }

    .kbafinder .selectorFields .fields:nth-child(1n+1) {
      border-top: 5px solid {$kbaTreeColor};
    }
  }

  .kbafinder .oder {
    background: {$kbaTreeColor};
    color: {$kbatitleColor};
  }

  .hsn_tsn button:disabled {
    background-color: #ccc !important;
    cursor: not-allowed;
  }

  @media (min-width: 768px) {
    .kbafinder .hsn_tsn button {
      background: {$kbaTreeColor};
    }
  }

  .kbafinder .fields label {
    color: {$kbatextColor};
  }

  .kbafinder .eurocode a {
    color: {$kbaTreeColor};
  }

  .kbafinder .eurocode button {
    background: {$kbaTreeColor};
  }

  .kbafinder .fieldContent {
    background: {$kbabgColor};
  }

  .kbafinder .fieldHeader {
    background: {$kbabgColor};
  }

  .kbafinder .typesListSelect {
    background: {$kbabgColor};
    color: {$kbatextColor};
  }

  .kbafinder .typesListDirect {
    background: {$kbabgColor};
    color: {$kbatextColor};
    display: none;
    margin-top: 5px;
    padding: 15px;
  }

  .kbafinder .typesListDirect .manufacturer {
    font-weight: bold;
  }

  .kbafinder .typesListDirect .modell {
    padding-left: 1rem;
  }

  .kbafinder .typesListDirect .type {
    padding-left: 1rem;
  }

  .kbafinder .typesListDirect .detail {
    cursor: pointer;
    text-align: right;
    text-decoration: underline;
  }

  .kbafinder .typesListDirect .detail:hover {
    background: {$kbaTreeColor};
    color: {$kbatitleColor};
  }

  .kbafinder .typetable tbody tr:hover {
    background: {$kbaTreeColor};
    color: {$kbatitleColor};
  }

  .kbafinder .selectedCar {
    background: {$kbabgColor};
    color: {$kbatextColor};
  }

  .kbafinder span.reset {
    border-color: {$kbaTreeColor};
    color: {$kbaTreeColor};
  }

  .kbafinder a.reset:hover {
    color: {$kbaTreeColor};
  }

  .kbafinder option.reset {
    color: {$kbaTreeColor};
  }

  .kbafinder .selectedCar a {
    color: {$kbatextColor};
  }

  .kbafinder em {
    color: {$kbaTreeColor};
  }

  @media (min-width: 993px) {
    .kbafinder .fields:not(:first-child)::after {
      content: '{$lang['cin_kbafinder_or']}';
      font-size: 0.9em;
      left: -19px;
      position: absolute;
      text-align: center;
      top: 33px;
      width: 40px;
    }

    .kbafinder .selectorFields .fields:not(:first-child) .fieldContent {
      border-left: 2px solid #ccc;
    }
  }

  @media (max-width: 992px) {
    .kbafinder .fields:nth-child(even)::after {
      display: none;
    }

    .kbafinder .selectorFields .fields:nth-child(even) .fieldContent {
      border-left: none;
    }
  }

  .lock {
    background-color: rgba(0, 0, 0, 0.5);
    height: 100%;
    left: 0;
    opacity: 0;
    pointer-events: none;
    position: fixed;
    top: 0;
    transition: opacity 0.25s ease-in-out;
    width: 100%;
    z-index: 100;
  }

  .lock.show {
    opacity: 1;
  }

  .lock-inner {
    background-color: rgba(255, 255, 255, 0.75);
    border-radius: 15px;
    padding: 30px;
    position: fixed;
    min-width: 100px;
    min-height: 100px;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
  }

  .lock-inner .message {
    font-weight: bold;
    margin-bottom: 20px;
  }
</style>
<script>
  var cin_kbafinder_lang = {$lang|json_encode};
  var cin_kbafinder_cfg = {$cfg|json_encode};
</script>
<div id="kbafinder" class="kbafinder" data-kbatreeurl="{$kbaTreeURL}" data-redirectto="{$redirectTo}"
  data-revealmethod="{$kbaSelectorfiledsRevealMethod}">
  <div class="selectedCar clearfix">
    <div class="col-sm-8 pane">
      <span class="reset" title="{$lang['cin_kbafinder_reset_current']}"><i class="fa fa-trash"
          aria-hidden="true"></i></span>
      <div class="model"></div>
      <div class="specifics"></div>
      <div class="schlusselnummer"></div>
      <a href="#" class="reset">{$lang['cin_kbafinder_reset_current']}</a>
    </div>
    <div class="col-sm-4 pane text-right">
    </div>
  </div>

  <div class="carSelector">
    <div class="selectorHeader">{$lang['cin_kbafinder_title']}</div>

    <div class="selectorFields">
      <div class="col-md-{12/$blockCount} col-sm-12 fields">
        <div class="fieldArrow hidden-sm"></div>
        {if $blockCount gt 1}
          <div class="fieldHeader center">
            <span class="nummer">{counter start=1}</span>
          </div>
        {/if}
        <div class="fieldContent marke_modell">
          <label>
            <span>{$lang['cin_kbafinder_make']}</span>
            <select class="right{if $cfg['useBSSelectPicker'] eq 'on'} selectpicker{/if}" id="kbafinderMarke"
              name="marke">
              <option>{$lang['cin_kbafinder_plchoose']}</option>
            </select>
          </label>
          <label>
            <span>{$lang['cin_kbafinder_model']}</span>
            <select class="right{if $cfg['useBSSelectPicker'] eq 'on'} selectpicker{/if}" id="kbafinderModelle"
              name="modell" disabled>
              <option disabled selected>---</option>
            </select>
          </label>
          <label class="hidden-md hidden-lg">
            <span>{$lang['cin_kbafinder_type']}</span>
            <select class="right{if $cfg['useBSSelectPicker'] eq 'on'} selectpicker{/if}" name="typ" id="kbafinderTypen"
              disabled>
              <option value="">---</option>
            </select>
          </label>
        </div>
      </div>
      {if $cfg.showBlock_2 eq "on"}
        <div class="col-md-{12/$blockCount} col-sm-12 fields">
          <div class="oder hidden-sm hidden-md hidden-lg">{$lang['cin_kbafinder_or']}</div>
          <div class="fieldArrow hidden-sm"></div>
          <div class="fieldHeader center">
            <span class="nummer">{counter}</span>
          </div>
          <div class="fieldContent hsn_tsn center">
            <label>HSN <input type="text" placeholder="2/2.1" name="hsn" class="iHsnTsn" id="kbaHsn" maxlength="4"
                spellcheck="false" /></label>
            <label>TSN <input type="text" placeholder="3/2.2" name="tsn" class="iHsnTsn" id="kbaTsn" maxlength="3"
                spellcheck="false" /></label>
            <a href="#" class="info" title="{$lang['cin_kbafinder_vehicle_select_tooltip']}" id="popoverToggle">i</a>
            <div class="hsn_tsn_result"></div>
          </div>
        </div>
        {/if} {if $cfg['showBlock_3'] eq "on"}
        <div class="col-md-{12/$blockCount} col-sm-12 fields">
          <div class="oder hidden-sm hidden-md hidden-lg">{$lang['cin_kbafinder_or']}</div>
          <div class="fieldArrow hidden-sm"></div>
          <div class="fieldHeader center">
            <span class="nummer">{counter}</span>
          </div>
          <div class="fieldContent eurocode">
            <label>
              <input type="text" placeholder="{$lang['cin_kbafinder_searchterm']}" class="fullwidthWithButton" />
              <button type="button" name="submitSearch" class="buttonWithInput"><i class="fa fa-search"
                  aria-hidden="true"></i></button>
            </label>
            <span>{$lang['cin_kbafinder_searchterm_description']}</span>
          </div>
        </div>
        {/if} {if $cfg['showBlock_4'] eq "on"}
        <div class="col-md-{12/$blockCount} col-sm-12 fields">
          <div class="oder hidden-sm hidden-md hidden-lg">{$lang['cin_kbafinder_or']}</div>
          <div class="fieldArrow hidden-sm"></div>
          <div class="fieldHeader center">
            <span class="nummer">{counter}</span>
          </div>
          <div class="fieldContent">
            <label>
              <select class="fullwidth{if $cfg['useBSSelectPicker'] eq 'on'} selectpicker{/if}" id="kbafinderZuletzt"
                name="zuletzt" disabled>
                <option value="" disabled selected>{$lang['cin_kbafinder_most_recent']}</option>
                <option value="reset" class="reset">{$lang['cin_kbafinder_reset_current']}</option>
              </select>
            </label>
            <div class="recentCarsSearch"></div>
          </div>
        </div>
      {/if}
      <br style="clear: both" />
    </div>
    <div class="typesListSelect hidden-sm hidden-xs" id="typesListSelect">
      <div class="markeModell" id="markeModell"></div>
      <table class="typetable">
        <thead>
          <tr>
            <th>{$lang['cin_kbafinder_type']}</th>
            <th>{$lang['cin_kbafinder_year']}</th>
            <th>{$lang['cin_kbafinder_power']}</th>
            <th>{$lang['cin_kbafinder_volume']}</th>
            <th>{$lang['cin_kbafinder_keynumber']}</th>
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
    </div>
    <div class="typesListDirect" id="typesListDirect"></div>
  </div>

  <div class="hidden" id="hsntsnPopoverContent">
    <p>So suchen Sie mit Schl&uuml;sselnummern:</p>
    <p>In unsere Fahrzeugsuche geben Sie bitte die Schl&uuml;sselnummern des gesuchten Fahrzeugs ein.<br> In dem Feld
      <strong>HSN (zu 2 / 2.1)</strong> 4 Stellen und in dem Feld <strong>TSN (zu 3 / 2.2)</strong> die ersten 3
      Stellen.
      <br> Auf folgendem Bild mit 1 und 2 gekennzeichnet:
    </p>
    <p>Beispiel "alter" Fahrzeugschein:</p>
    <p>
      <strong>HSN (Zu 2 / 2.1):</strong> 0600
      <strong>TSN (Zu 3 / 2.2):</strong> 911<br>
      <img class="fullwidth" src="{$imageurl}keynumber_old.jpg" alt="Alter Fahrzeugschein">
    </p>
    <p>Beispiel "neuer" Fahrzeugschein:</p>
    <p>
      <strong>HSN (Zu 2 / 2.1):</strong> 0588
      <strong>TSN (Zu 3 / 2.2):</strong> ACV<br>
      <img class="fullwidth" src="{$imageurl}keynumber_new.jpg" alt="Neuer Fahrzeugschein">
    </p>
  </div>
  <div class="lock">
    <div class="lock-inner">
      <div class="message">{$lang['cin_kbafinder_waitmessage']}</div>
      <img src="{$asseturl}img/813.svg">
    </div>
  </div>
</div>
<script src="{$asseturl}js/string.decodeentities.js" charset="utf-8"></script>
<script src="{$asseturl}js/jq.equalheights.js" charset="utf-8"></script>
<script src="{$asseturl}js/js.cookie.js" charset="utf-8"></script>
<script src="{$asseturl}js/kbafinder.js" charset="utf-8"></script>
